%define upstream_name    Acme-Metification
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Give Perl the power of Metaprogramming!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Simple)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module gives you some meta-programming abilites within Perl. It uses
source filters to do evil things with your source.

The module allows the use of two new functions. They must appear on
separate lines in your code:

meta
    Syntax:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 509015
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 362826
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 18 2011 kharec <kharec> 1.10.0-1.mga2
+ Revision: 168938
- imported package perl-Acme-Metification


* Fri Nov 18 2011 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
